OSTREE SUMMARY(1)

NAME
ostree-summary - Regenerate or view the summary metadata file

SYNOPSIS

ostree summary [--gpg-sign=KEYID] [--gpg-homedir=HOMEDIR] {--update} [--add-metadata=KEY=VALUE...]

ostree summary {--view | --raw}

DESCRIPTION

The summary file is an optional higher level form of repository metadata that describes the available branches. It needs to be manually regenerated after a series of commits. Among other things, this allows atomically updating multiple commits.

OPTIONS

--update,-u
    Update the summary file. This option can be combined with --add-metadata to add metadata fields to the summary.

    If the repository has a collection ID configured, the ostree-metadata branch for that collection ID will also be updated with a new commit containing the given metadata, which will be signed if the summary file is signed.

--add-metadata,-m=KEY=VALUE
    Specify an additional metadata field to add to the summary. It must be in the format KEY=VALUE or as two separate arguments. The keys must be namespaced for your organisation or repository using a dot prefix. The values must be in GVariant text format. For example, exampleos.end-of-life "@t 1445385600". This option can be used multiple times.

--view,-v
    View the contents of the summary file in a human readable format.

--raw
    View the raw bytes of the summary file.

--gpg-sign=KEYID
    GPG Key ID to sign the summary with.

--gpg-homedir=HOMEDIR
    GPG Homedir to use when looking for keyrings.

EXAMPLES

$ ostree summary -u

$ ostree summary -u -m key="'value'"

$ ostree summary -v

    * ostree/1/1/0
        Latest Commit (4.2 MB):
          9828ab80f357459b4ab50f0629beab2ae3b67318fc3d161d10a89fae353afa90
        Timestamp (ostree.commit.timestamp): 2017-11-21T01:41:10-08
    Last-Modified (ostree.summary.last-modified): 2018-01-12T22:06:38-08